<?xml version="1.0" encoding="windows-1252"?>
<xsl:stylesheet 
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" 
  xmlns:ch="http://www.conceptualheaven.com/extract/v10"
  exclude-result-prefixes="w">

<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no"/>

<xsl:variable name="upper">ABCDEFGHIJKLMNOPQRSTUVWXYZ </xsl:variable>
<xsl:variable name="lower">abcdefghijklmnopqrstuvwxyz-</xsl:variable>
	
<xsl:template match="/">
	<ch:vocabulary-lists>
	<xsl:copy-of select="ch:vocabulary-document/@*"/>
		<ch:noun-list>
			<ch:tbl>
			<xsl:apply-templates mode="def" select="//*[@ch:key][name()='ch:nc' or name()='ch:ic']">
				<xsl:sort select="@ch:key"/>
			</xsl:apply-templates>
			</ch:tbl>
		</ch:noun-list>
		<ch:verb-list>
			<ch:tbl>		
				<xsl:apply-templates mode="def" select="//*[@ch:key][name()='ch:vcn']">
					<xsl:sort select="@ch:key"/>
				</xsl:apply-templates>
			</ch:tbl>				
		</ch:verb-list>		
		<ch:involve-list>
			<ch:tbl>		
			<xsl:apply-templates mode="inv" select="//*[@ch:key][name()='ch:vcn']/*[name()='ch:nc' or name()='ch:ic']">
				<xsl:sort select="@ch:key"/>
			</xsl:apply-templates>
			</ch:tbl>			
		</ch:involve-list>					
	</ch:vocabulary-lists>
</xsl:template>

<xsl:template mode="def" match="*">
<xsl:variable name="def">
	<xsl:value-of select="following-sibling::ch:details/ch:detail[@ch:label='definition']"/>
</xsl:variable>
<xsl:variable name="see">
	<xsl:value-of select="following-sibling::ch:details/ch:detail[@ch:label='see']"/>
</xsl:variable>
	<ch:tr>
		<ch:tc>
			<xsl:value-of select="@ch:key"/>
		</ch:tc>
		<ch:tc>
			<xsl:apply-templates select="following-sibling::ch:details/ch:detail[@ch:label='definition']"/>		
			<xsl:apply-templates select="following-sibling::ch:details/ch:detail
			[
					@ch:label='see' 
				or	@ch:label='synonym' 
				or	@ch:label='syn.-form'
				or	@ch:label='synonymous-form'
			]"/>	
		</ch:tc>		
	</ch:tr>
</xsl:template>

<xsl:template match="ch:detail">
	<ch:sub>
		<xsl:choose>
			<xsl:when test="@ch:label='see'">
				<xsl:text>See: </xsl:text>
			</xsl:when>
			<xsl:when test="@ch:label='synonym'">
				<xsl:text>Also: </xsl:text>
			</xsl:when>			
			<xsl:when test="@ch:label='syn.-form'">
				<xsl:text>Also: </xsl:text>
			</xsl:when>		
			<xsl:when test="@ch:label='synonymous-form'">
				<xsl:text>Also: </xsl:text>
			</xsl:when>					
		</xsl:choose>
		<xsl:value-of select="."/>
	</ch:sub>
</xsl:template>

<xsl:template mode="inv" match="*">
	<ch:tr>
		<ch:tc>
			<xsl:value-of select="../@ch:key"/>
		</ch:tc>
		<ch:tc>
			<xsl:value-of select="."/>
		</ch:tc>		
	</ch:tr>
</xsl:template>

</xsl:stylesheet>
